org.keycloak

## Enum TokenCategory

- java.lang.Object
- - java.lang.Enum<TokenCategory>
  - - org.keycloak.TokenCategory

- All Implemented Interfaces:
    Serializable, Comparable<TokenCategory>

      public enum TokenCategory
      extends Enum<TokenCategory>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCESS`
    `ADMIN`
    `AUTHORIZATION_RESPONSE`
    `ID`
    `INTERNAL`
    `LOGOUT`
    `USERINFO`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TokenCategory` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TokenCategory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTERNAL

          public static final TokenCategory INTERNAL

    - #### ACCESS

          public static final TokenCategory ACCESS

    - #### ID

          public static final TokenCategory ID

    - #### ADMIN

          public static final TokenCategory ADMIN

    - #### USERINFO

          public static final TokenCategory USERINFO

    - #### LOGOUT

          public static final TokenCategory LOGOUT

    - #### AUTHORIZATION_RESPONSE

          public static final TokenCategory AUTHORIZATION_RESPONSE

  - ### Method Detail

    - #### values

          public static TokenCategory[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TokenCategory c : TokenCategory.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TokenCategory valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 JBoss by Red Hat. All rights reserved.